LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices

Reply
 
Search this Thread
Old 06-21-2006, 04:15 PM   #1
Cabeza de Huevo
LQ Newbie
 
Registered: Oct 2005
Posts: 20

Rep: Reputation: 0
Problems installing TOR


I'm trying to install tor and this comes up

[ronnie@ool-45720158 ~]$ rpm -iv tor-0.1.1.21-tor.0.rh4_3.i386.rpm
error: Failed dependencies:
libevent >= 1.1a is needed by tor-0.1.1.21-tor.0.rh4_3.i386
libevent-1.1a.so.1 is needed by tor-0.1.1.21-tor.0.rh4_3.i386
[ronnie@ool-45720158 ~]$

what does this mean and what do i have to do to install this program? thanks.
 
Old 06-21-2006, 04:27 PM   #2
camh
Member
 
Registered: Feb 2005
Distribution: Slack/Debian
Posts: 163
Blog Entries: 2

Rep: Reputation: 33
It means that tor is dependent on libevent, which apparently is not installed. Install libevent then try again.
 
Old 06-21-2006, 04:38 PM   #3
Cabeza de Huevo
LQ Newbie
 
Registered: Oct 2005
Posts: 20

Original Poster
Rep: Reputation: 0
where can i aquire libevent?
 
Old 06-27-2006, 09:44 AM   #4
Cabeza de Huevo
LQ Newbie
 
Registered: Oct 2005
Posts: 20

Original Poster
Rep: Reputation: 0
I just downloaded and installed libevent I believe. However, the same message is still appearing in the terminal when I try to install the tor rpm.

error: Failed dependencies:
libevent >= 1.1a is needed by tor-0.1.1.21-tor.0.rh4_3.i386
libevent-1.1a.so.1 is needed by tor-0.1.1.21-tor.0.rh4_3.i386
 
Old 06-27-2006, 03:12 PM   #5
doronunu
Member
 
Registered: Dec 2005
Location: Israel
Distribution: used : Ubuntu, Debian, Arch. current : Centos.
Posts: 69

Rep: Reputation: 15
do as root (or sudo) find / -name libevent-1.1a.so.1.
didnt it find it? couz if not its not installed. mybe u install some other version of libevent? u can install more then one version of libs on ur machine.
 
Old 06-27-2006, 03:45 PM   #6
Cabeza de Huevo
LQ Newbie
 
Registered: Oct 2005
Posts: 20

Original Poster
Rep: Reputation: 0
When I did that I recieved this

/usr/local/lib/libevent-1.1a.so.1
/home/ronnie/libevent-1.1a/.libs/libevent-1.1a.so.1

I assume it's installed?
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
how to see if tor is working. dr_zayus69 Linux - Networking 2 12-08-2005 02:05 PM
Tor installation "make" problems SGR-A Linux - Newbie 2 12-05-2005 07:18 PM
tor + ssh problems tgo Linux - Software 0 10-22-2005 03:06 AM
Help with Tor Please botman Linux - Software 3 08-18-2005 01:17 PM
Help with Tor? botman Suse/Novell 3 08-12-2005 01:36 PM


All times are GMT -5. The time now is 11:11 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration